<?php
include 'system/bd.php';
include 'system/cook.php';
include ("system/gzip.php");
if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
include 'system/head.php';

if($user[save]=="0"){


echo '<div class="title"> Защита аккаунта</div>';

echo ' <div class="bor1"><div class="bor2"><div class="bor3"><div class="bor4"><div class="bor_bg item_center"> Ты сделал первые шаги! Чтобы продолжить игру и сохранить персонажа укажи следующие данные: </div> </div> </div> </div></div>';
echo' <div class="block item_center">';


if (isset($_GET['go']) && $_GET['go']=='reg'){


$password = $_POST['password'];
$password = mysql_real_escape_string(trim($password));
$login = mysql_real_escape_string(trim($_POST['login']));



if(empty($password) or empty($login)){

echo ' <font color="red">';
echo " <center>  Не все поля заполнены</center>";
echo '</font>';

}else{


if (strlen($password)>36){echo' <div class="red"> <center>Слишком длинный пароль</center></div>';}
else{
if (strlen($password)<6){echo' <div class="red"> <center>Слишком короткий пароль</center></div>';}
else{
if (strlen($login)>36){echo' <div class="red"> <center>Слишком длинный логин</center></div>';}
else{
if (strlen($login)<3){echo' <div class="red"> <center>Слишком короткий логин</center></div>';}
else{
if (ereg_replace("[a-z0-9_-]","",strtolower($login))){echo'
 <div class="red"> <center> Ник должен состоять из латинских букв и цифр и/или символов _ и - </center></div>';
}else{
$login2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `login`='".mysql_real_escape_string($login)."'"),0);
if($login2){echo" <div class='red'> <center>Такой ник уже занят</center></div>";

}else{

mysql_query("UPDATE `user` SET 
`password`='$password',`login`='$login',
`save`='0'
WHERE `id`='".$user['id']."'");
header ("Location: main.php"); exit;
}}}}}}}
} 







echo '<form action="?go=reg" method="post">';
echo' Логин:<br>
<input name="login" value="'.htmlspecialchars($_POST['login']).'"/><br>';

echo' Пароль:<br>
<input type="password" name="password"  value="'.htmlspecialchars($_POST['password']).'"/>
<input type="submit" name="sumbit" 
class="button" value="Сохранить"/></form>';

echo ' </div>';

}else{
header ("Location: main.php"); exit;
}

}else{
header ("Location: index.php"); exit;
}
echo' <div class="line"></div>';
echo' <div class="block_link">';echo"<a href=\"exit.php\"> <img src=\"img/images/arrow.png\"> Выйти из игры</a></div>";

include 'system/foot.php';
?>
